# Svnkit Core for Krugle #
## Purpose##
Add pre-filter with svnkit.

What is pre-filter
---------------------------
Pre-filter is just like post filter ----------- filter-plugin of scmi-core.
With help of adding pre-filter when checkout code or documents from svn repository, the efficiency can be improved greatly and the storage also can be saved.

Changes
--------------------------
### Main Class ####
Modify java class SVNUpdateEditor17.java of svnkit-core which located in org.tmatesoft.svn.core.internal.wc17 package.
### Changed Functions ####
* public void addDir(String path, String copyFromPath, long copyFromRevision) ----- This is used for dirs.exclude. **db.skip** means to add current folder to checkout queue.
* public void addFile(String path, String copyFromPath, long copyFromRevision) ----- This is used for files.exclude and files.include. **fb.skipThis** means to add current file to checkout queue.
* public void closeFile(String path, String expectedMd5Digest) ----- This is for file metadata e.g. path, commited_revision, last-author and committed-date. If value for **scmi.file.metadata** (svn.properties) is false, then last-author and committed-date will be igored.
* public void openRoot(long revision) -- This is used to get filter from blocking queue.

Note
---------------
Add jar files located under **lib** folder to classpath.